Delete a product nutrient row
curl --request DELETE \
--url https://www.closient.com/dashboard/api/v1/trade-items/{organization_id}/{gtin}/nutrition/nutrients/{nutrient_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://www.closient.com/dashboard/api/v1/trade-items/{organization_id}/{gtin}/nutrition/nutrients/{nutrient_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://www.closient.com/dashboard/api/v1/trade-items/{organization_id}/{gtin}/nutrition/nutrients/{nutrient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Nutrition
Delete a product nutrient row
Permanently delete a nutrient row from the product’s panel. Requires the organization.contribute_organization permission on the membership.
DELETE
/
dashboard
/
api
/
v1
/
trade-items
/
{organization_id}
/
{gtin}
/
nutrition
/
nutrients
/
{nutrient_id}
Delete a product nutrient row
Authorizations
APIKeyHeaderAuthOAuthTokenAuthSessionAuth
Path Parameters
UUID of the organization that owns the product.
Required string length:
22Pattern:
^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$GTIN-8/12/13/14 of the target product. Normalized to GTIN-14 by zero-padding before lookup.
Pattern:
^\d{8,14}$UUID (or 22-char shortuuid) of the nutrient row to delete.
Response
204
No Content
⌘I